void main() {
    ConfigPack conf= {0}; /* Globally available. Initialize all to 0. */
    switch(c) {
        case 'a':
        // Comment here should rezero nli counter.
        default:
            printf("X");
    }
    if (pos > 0) {                       // Check for word as subset on previous char.
    char c= buffer[pos - 1];
    if ((c >= '0' && c <= '9') ||
        (c >= 'a' && c <= 'z') ||
        c == '_')
        return;
    }

    if (state & IN_CC_COM && (c == '\n')) {              // EOL closing out a // comment?
        state &= ~IN_CC_COM;                             // Turn off CC comment mode.
        meta[i]= mEOL;                                   // Mark content of comment in meta.
    } else if (state & IN_C_COM && c == '*') {           // In C comment, possible close found.
        if (i + 1 < size && buffer[i + 1] == '/') {      // It is C comment closer.
            state &= ~IN_C_COM;                          // Cancel C comment mode.
            i++;                                         // One time index forward for both symbols.
            meta[i-1]= mCOM;                             // In theory i-1 should always be > 0.
            meta[i]= mCOM;                               // Mark second position in meta.
        } else {                                         // Just a * in a C comment.
            meta[i]= mCOM;                               // Mark comment.
        }
    } else {
        if (buffer[i] == '\n') {
            meta[i]= mEOL;                               // Mark EOL in a C comment.
        }
        meta[i]= mCOM;                                   // Mark content of comment in meta.
    }

    return;
}
